import { IWebModule } from '@fly-vue/core';
import './extend';
export * from './components';
export { default as components } from './components';
declare const _default: IWebModule;
export default _default;
export * from './components/table/column-render';
export declare const formItemChangedMixin: {
    data(): {
        formItems: any[];
    };
    methods: {
        resetFormItems(formId: string): void;
        handleOnFormItemAdded(formItem: any): void;
    };
};
export declare const uploadPolicy: {
    getUploadBasePath(): any;
    upload(file: any, requestOptions: any, _ufsOptions: any): Promise<{
        id: any;
        name: any;
        url: string;
        size: any;
    }>;
    resolve(item: any): any;
    serialize(innerItem: any): any;
    isEqual(newItem: any, oldItem: any): boolean;
    isArrayEqual(newItems: any, oldItems: any): boolean;
};
export declare const emitterMixin: {
    methods: {
        dispatch(componentName: any, eventName: any, params: any): void;
        broadcast(componentName: any, eventName: any, params: any): void;
    };
};
export declare const modalMixin: {
    props: {
        modalTitle: {
            type: StringConstructor;
            default: string;
        };
        modalWidth: {
            type: NumberConstructor;
        };
        modalHeight: {
            type: NumberConstructor;
        };
    };
    watch: {
        modalVisible(): void;
    };
    data(): {
        modalVisible: boolean;
        innerModalWidth: any;
        innerModalHeight: any;
    };
    methods: {
        toggleModal(): boolean;
        close(): void;
    };
};
export declare const routerModules: {
    memberRouter: {
        path: string;
        name: string;
        meta: {
            title: string;
            auth: (to: any, _from: any, _next: any) => Promise<any>;
        };
        component: import("vue").VueConstructor<import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, any>>>;
        children: {
            path: string;
            meta: {
                title: string;
            };
            component: import("vue").VueConstructor<import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, any>>>;
        }[];
    };
    appRouter: {
        member: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, any>>>;
        };
        overview: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, any>>>;
        }[];
        account: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, any>>>;
            children: {
                path: string;
                name: string;
                meta: {
                    title: string;
                };
                component: import("vue").VueConstructor<import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("@fly-vue/iview-admin").subAppLayout<Record<string, any>, Record<string, any>, never, never, any>>>;
            }[];
        };
    };
};
export { modalHeight, modalWidth } from './components/utils/modal';
export * from './service';
export { MicroAppHelper } from './libs/micro-app';
