declare const _default: {
    data(): {
        lengthLimit: {
            name: number;
            title: number;
            summary: number;
            uri: number;
            code: number;
            version: number;
            description: number;
            thumbnail: number;
            readme: number;
            username: number;
            password: number;
            id: number;
        };
        model: {
            name: string;
            id: string;
            secret: string;
            redirectUriPattern: string;
            usePassword: boolean;
            allowWebLogin: boolean;
            allowUsePassword: boolean;
        };
        rules: {
            name: {
                required: boolean;
                message: string;
                trigger: string;
            }[];
            id: ({
                required: boolean;
                message: string;
                trigger: string;
                pattern?: undefined;
            } | {
                required: boolean;
                pattern: RegExp;
                message: string;
                trigger: string;
            })[];
            secret: ({
                required: boolean;
                message: string;
                trigger: string;
                pattern?: undefined;
            } | {
                required: boolean;
                pattern: RegExp;
                message: string;
                trigger: string;
            })[];
            redirectUriPattern: ({
                required: boolean;
                message: string;
                trigger: string;
            } | {
                required: boolean;
                validator(rule: any, value: any, callback: any): void;
                trigger: string;
                message?: undefined;
            })[];
        };
        spinShow: boolean;
    };
};
export default _default;
